python-heatclient (4.3.0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * d/watch: Track Flamingo series releases.
  * d/watch: Add Flamingo key verification. 
  * d/u/signing-key.asc: Add Flamingo public key.
  * New upstream release for OpenStack Flamingo. (LP: #2116155)

 -- Myles Penner <myles.penner@canonical.com>  Mon, 14 Jul 2025 14:58:17 -0700

python-heatclient (4.1.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Feb 2025 15:37:15 +0000

python-heatclient (4.0.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 16:29:16 +0100

python-heatclient (3.5.0-0ubuntu1) noble; urgency=medium

  * New upstream point release for OpenStack Caracal.

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 13:59:56 +0000

python-heatclient (3.4.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.
  * d/control: Drop python3-babel from (Build-)Depends.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Jan 2024 13:03:49 +0000

python-heatclient (3.3.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 16:54:55 -0400

python-heatclient (3.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Feb 2023 08:24:02 -0500

python-heatclient (3.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 17:51:34 -0400

python-heatclient (2.5.1-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 13:01:03 -0500

python-heatclient (2.5.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.
  * d/rules: Switch to pybuild.
  * d/control: Drop py2 BDs.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 11:55:48 -0500

python-heatclient (2.4.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 14:57:52 -0400

python-heatclient (2.3.0-0ubuntu2) impish; urgency=medium

  * d/control: Drop python-pbr.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 23 Jun 2021 08:04:27 +0000

python-heatclient (2.3.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 04 Dec 2020 12:58:12 +0000

python-heatclient (2.2.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:30:59 -0400

python-heatclient (2.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 24 Jul 2020 11:35:27 +0000

python-heatclient (2.1.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Apr 2020 10:47:33 -0400

python-heatclient (2.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Mar 2020 16:14:32 -0400

python-heatclient (1.18.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 09 Sep 2019 15:55:23 -0400

python-heatclient (1.17.0-0ubuntu2) eoan; urgency=medium

  * Drop Python 2 support:
    - d/control: Drop python-heatclient binary package.
    - d/control: Drop BDI's on python-*.
    - d/rules: Skip install and test of Python 2 module.
    - d/*.postinst,prerm,postrm: Drop, no longer needed.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Jul 2019 08:00:59 +0100

python-heatclient (1.17.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 10:17:39 -0500

python-heatclient (1.16.1-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 30 Jul 2018 17:34:35 -0400

python-heatclient (1.15.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/watch: Get tarball from tarballs.openstack.org.
  * d/control, d/tests/*: Enable autopkgtest-pkg-python testsuite.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Jun 2018 08:51:21 -0400

python-heatclient (1.14.0-3) unstable; urgency=medium

  * Python 3 has now priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 13:04:58 +0100

python-heatclient (1.14.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:51:55 +0000

python-heatclient (1.14.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 09:04:34 +0000

python-heatclient (1.14.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Feb 2018 09:24:58 -0500

python-heatclient (1.13.0-0ubuntu1) bionic; urgency=medium

  * d/control: Align python-sphinx with upstream.
  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 24 Jan 2018 12:25:32 -0500

python-heatclient (1.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Nov 2017 13:49:03 -0500

python-heatclient (1.11.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 23:59:54 +0000

python-heatclient (1.11.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{install,test}.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Oct 2017 19:24:38 +0200

python-heatclient (1.11.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 18:56:53 -0400

python-heatclient (1.9.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use tarballs.openstack.org.
  * New upstream release.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:00:46 +0100

python-heatclient (1.8.0-0ubuntu2) zesty; urgency=medium

  * debian/control: Cleanup dependencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 04 Feb 2017 07:58:32 -0500

python-heatclient (1.8.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 25 Jan 2017 09:53:00 -0500

python-heatclient (1.7.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 10:49:52 -0500

python-heatclient (1.6.1-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * debian/control: Bump version dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 22 Nov 2016 08:42:04 -0500

python-heatclient (1.5.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 01 Nov 2016 08:40:50 -0400

python-heatclient (1.4.0-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Aug 2016 14:32:49 -0400

python-heatclient (1.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Jun 2016 16:08:56 +0000

python-heatclient (1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 13:01:16 +0000

python-heatclient (1.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Apr 2016 15:14:45 +0200

python-heatclient (1.0.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align depends with upstream.
  * d/rules: Use available python versions for tests.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 3.9.7 (no change).
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 11:58:30 +0100

python-heatclient (0.8.0-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 22:32:10 +0000

python-heatclient (0.8.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Do not run Python 3.5 unit tests.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 21:52:21 +0000

python-heatclient (0.8.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Align (build-)depends with upstream.
  * d/control: Update uploaders.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 23 Sep 2015 16:38:15 -0400

python-heatclient (0.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jun 2015 17:31:23 +0200

python-heatclient (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Added Python3 support.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Mar 2015 01:03:37 +0100

python-heatclient (0.2.9-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Review (build-)depends for this release.
  * Calling testr directly (without python setup.py).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Apr 2014 16:13:27 +0800

python-heatclient (0.2.8-1) experimental; urgency=low

  * New upstream release.
  * Added --testr-args='--subunit  ' when calling testr.
  * New (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Oct 2013 14:46:19 +0800

python-heatclient (0.2.4-1) unstable; urgency=low

  * New upstream release.
  * Add build-depends on python-mock (>= 0.8.0), python-pbr (>= 0.5.20) and
    python-d2to1 (>= 0.2.11) (Closes: #724174).

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2013 02:21:28 +0000

python-heatclient (0.2.3-1) unstable; urgency=low

  [ Thomas Goirand ]
  * New upstream release.
  * Added export OSLO_PACKAGE_VERSION=$(VERSION) in debian/rules.
  * VCS fields now using canonical URLs.
  * Added build-depends: python-mimeparse (>= 0.1.4), python-testscenarios,
    python-yaml and testrepository.

  [ Prach Pongpanich ]
  * Dropped build-depends: python-nose.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Jul 2013 16:03:22 +0800

python-heatclient (0.2.2-3) unstable; urgency=low

  [ Prach Pongpanich ]
  * Drop dependency on python-argparse (Closes: #710718)

  [ Thomas Goirand ]
  * Make the drop of the python-argparse conditional (eg: it don't drop the
    dependency if building in Wheezy).
  * Allow the unit tests to fail if running in Wheezy (because of the lack of
    the python-argparse build-depends).

 -- Prach Pongpanich <prachpub@gmail.com>  Sun, 02 Jun 2013 07:01:12 +0700

python-heatclient (0.2.2-2) unstable; urgency=low

  * Added missing dependency python-setuptools-git (Closes: #710576), thanks to
    Jeremy Bicha for reporting.
  * Ran wrap-and-sort.

 -- Thomas Goirand <zigo@debian.org>  Sat, 01 Jun 2013 09:23:44 +0800

python-heatclient (0.2.2-1) unstable; urgency=low

  * Initial release. (Closes: #705231)

 -- Prach Pongpanich <prachpub@gmail.com>  Thu, 11 Apr 2013 12:03:51 +0700

